%global momorel 2
%global unstable 0
%if 0%{unstable}
#%%global svnrel 979380
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.3.2
%global kdelibsrel 1m
%global kdepimlibsrel 1m
%global qtver 4.5.2
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 4.3.2
%global sourcedir %{release_dir}/%{ftpdirver}/src
%global akonadiver 1.2.0
%global sopranover 2.3.0

Name: kdepim-runtime
Summary: KDE PIM Runtime Environment
Version: %{kdever}
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Productivity
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?svnrel:svn%{svnrel}}.tar.bz2
NoSource: 0
Patch0: %{name}-4.2.96-desktop.patch
Patch1: %{name}-%{version}-kcm_akonadi-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
BuildRequires: akonadi-devel >= %{akonadiver}
BuildRequires: desktop-file-utils
BuildRequires: kdepimlibs-devel >= %{version}-%{kdepimlibsrel}
BuildRequires: kdelibs-experimental-devel >= %{version}
BuildRequires: zlib-devel
BuildRequires: soprano-devel >= %{sopranover}
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel

%description
%{summary}

%package libs
Summary: %{name} runtime libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs-devel

%description devel
%{summary}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%prep
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}}

%patch0 -p1 -b .desktop
%patch1 -p1 -b .kcm_akonadi-desktop-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# revise akonadiconsole.desktop
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category Development \
  %{buildroot}%{_datadir}/applications/kde4/akonadiconsole.desktop

# make symlinks relative
mkdir -p %{buildroot}%{_docdir}/HTML/en/common
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
   desktop-file-validate $f
done

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-mime-database %{_kde4_datadir}/mime &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_appsdir}/akonadi
%{_kde4_appsdir}/akonadi_knut_resource
%{_kde4_appsdir}/akonadiconsole
%{_kde4_datadir}/akonadi/agents/*.desktop
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config/*rc
%{_kde4_datadir}/dbus-1/interfaces/*.xml
%{_kde4_datadir}/kde4/services/akonadi.protocol
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/kresources/kabc/*
%{_kde4_datadir}/kde4/services/kresources/kcal/*
%{_kde4_datadir}/mime/packages/*
%{_kde4_iconsdir}/hicolor/*/*/*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/akonadi/*
%{_kde4_libdir}/lib*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*

%changelog
* Fri Oct 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.3.2-2m)
- add kcm_akonadi-desktop.patch for Momonga Linux 6plus

* Wed Oct  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.2-1m)
- update to KDE 4.3.2

* Fri Sep  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-1m)
- update to KDE 4.3.1

* Thu Aug  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to KDE 4.3.0 official release

* Fri Jul 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.98-1m)
- update to KDE 4.3 RC3 (4.2.98)

* Sat Jul 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to KDE 4.3 RC2 (4.2.96)
- update desktop patch

* Sat Jul  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-2m)
- modify %%files to avoid conflicting with kdepim

* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- initial build for Momonga Linux
